#!/bin/bash
set -e
cd `dirname $0`
export PIP_DOWNLOAD_CACHE=`pwd`/../pip_cache
cat ../openmedialibrary/requirements.txt \
    | grep -v lxml \
    | grep -v pyCrypto \
    | grep -v pillow \
    | grep -v simplejson \
    > requirements.txt
echo setuptools >> requirements.txt
echo six >> requirements.txt
mkdir old
test -e lib && mv lib old/
test -e bin && mv bin old/

rm -rf p34

virtualenv -p /usr/bin/python3.4 p34
p34/bin/pip3 install -r requirements.txt

mkdir -p lib/python3.4
mv p34/lib/python3.4/site-packages lib/python3.4/site-packages

rm -r p34 old requirements.txt
